EDIT - task #8127

[Reminder] to check if Hibernate Null Value bug still exists
02/22/2019 11:07 AM - Andreas Mdller

Status: Discussed Start date: 05/23/2022
Priority: Highest Due date: 05/27/2022
Assignee: Andreas Muller % Done: 20%
Category: cdmlib Estimated time: 0:00 hour
Target version: Reviewed Next Major Release

Severity: normal

Description

see #5681 for details

https://hibernate.atlassian.net/browse/HHH-9751 (closed as duplicate, still open issue is
https://hibernate.atlassian.net/browse/HHH-9979 )

Related issues:

Related to EDIT - task #3722: Using @OrderColumn does not work in trees Closed 05/23/2022
Related to EDIT - task #10067: Update to hibernate 5.4 (or higher) and hibern... Closed 05/23/2022
Related to EDIT - bug #10101: Correct mapping and handling of sorted tree str... In Progress

Related to EDIT - task #10055: Updates, upgrades and cleanup 2023 New

05/27/2022
06/01/2022

Associated revisions

Revision 56edf3ba - 05/24/2022 07:44 PM - Andreas Miiller
ref #10067, ref #3722, ref #8127 adapt handling of sortindex after upgrade to hibernate5.2

Revision 77¢9b8f8 - 06/17/2022 05:26 PM - Andreas Miiller

ref #3722, ref #8127, ref #10067 fully remove sortindex updating and collection null handling workaround from TaxonNode

Revision 7d595ebb - 06/17/2022 08:14 PM - Andreas Miiller
ref #3722, ref #10067, ref #8127 remove childnodes nullcheck in ChecklistEditorInput

Revision e1fe2afa - 06/24/2022 01:19 PM - Andreas Miiller
ref #10067, ref #3722, ref #8127 fully remove TaxonNode sortindex code from TaxonNode and CdmLight

Revision 172c0b19 - 06/24/2022 02:42 PM - Andreas Miiller
ref #10067, ref #3722, ref #8127 preliminary add sortindex field again to avoid problem with model cache in TaxEditor

Revision 7fd76b2b - 06/24/2022 03:13 PM - Andreas Miiller

ref #10067, ref #3722, ref #8127 preliminary add sortIndex field again to avoid problem with model cache in TaxEditor (cont. fix JAXB issue)

Revision ab85ad67 - 07/05/2022 01:19 PM - Andreas Miiller
ref #10067, ref #8127 remove "removeAlINull" (HHH_9751_Util) from DescriptionBase

Revision 3dc1adc5 - 07/05/2022 01:24 PM - Andreas Muller

ref #10067, ref #3722, ref #8127 remove all manual sortindex and null value handling from term node

Revision 0694bb3d - 07/05/2022 01:25 PM - Andreas Miiller

ref #10067, ref #8127 remove remaining null value handling from taxon node

Revision 5c45a99a - 07/05/2022 01:28 PM - Andreas Miiller

ref #10067, ref #3722, ref #8127 remove all manual sortindex and null value handling from polytomous key (node)

Revision 3b4b9e2f - 07/05/2022 01:52 PM - Andreas Miiller
ref #10067, ref #3722, ref #8127 remove null value handling from PolytomousKeyGraphContentProvider in taxEditor
Revision 35105144 - 07/05/2022 10:20 PM - Andreas Miiller

ref #10067, ref #3722, ref #8127 remove remaining sortindex handling from polytomous key node

Revision 5e19d1{7 - 07/27/2022 09:38 AM - Andreas Miiller
ref #3722, ref #8127, ref #10067 fully remove sortindex and OrderBy comments

Revision 54e0164b - 07/27/2022 02:52 PM - Andreas Miiller

ref #8127 reenable null value removal in Util class

Revision c8d47a7c - 07/27/2022 08:56 PM - Andreas Miiller

ref #3722, ref #8127, ref #10067, ref #5536 add orphan removal to ordered lists to avoid null value, sortindex and record not deleted issues

Revision 88b53ac2 - 07/27/2022 09:08 PM - Andreas Miiller
ref #3722, ref #8127, ref #5536 add test for PKNode merge

Revision 3bfeb049 - 07/27/2022 09:26 PM - Andreas Miiller

ref #3722, ref #8127, ref #5536 remove sortindex in jaxb annotations for tree lists

Revision 7161f1ec - 07/27/2022 11:44 PM - Andreas Miiller
ref #3722, ref #8127, ref #5536 preliminary make TaxonNode.children not orphanRemoval again

Revision a405f029 - 07/28/2022 12:29 AM - Andreas Miiller
ref #3722, ref #8127, ref #5536 remove sortindex field check from SortindexUpdaterWrapperTest

Revision 473eee48 - 07/28/2022 12:47 AM - Andreas Miiller
ref #3722, ref #8127, ref #5536 preliminary make TermNode.children not orphanRemoval again

Revision 8f79b3aa - 07/28/2022 04:47 PM - Andreas Miiller

ref #3722, ref #8127, ref #5536, ref #10101 adapt test for removing PKNode and add new test for moving node and add LIE handling for node
removal

Revision cb923587 - 07/29/2022 02:04 PM - Andreas Miiller
ref #10101, ref #8127, ref #3722, ref #5536 remove HHH_9751_Util class as it is not used anymore

History

#2 - 02/22/2019 11:09 AM - Andreas Miiller
- Description updated

- Priority changed from New to Highest

#3 - 05/23/2022 03:55 PM - Andreas Miiller

- Due date set to 05/27/2022

- Assignee changed from Katja Luther to Andreas Miiller

- Target version changed from Reviewed Next Major Release to Release 5.32

- Start date set to 05/23/2022

HHH_9751_Ustil is closed in the meanwhile (https:/hibernate.atlassian.net/browse/HHH-9751) and we probably can remove the workaround.
This is also related to #3722 and #10067 and | will try to fix these tickets together.

#4 - 05/23/2022 03:55 PM - Andreas Miiller
- Status changed from New to In Progress

- % Done changed from 0 to 10

#6 - 05/23/2022 04:19 PM - Andreas Miiller
- Related to task #3722: Using @OrderColumn does not work in trees added
#7 - 05/23/2022 04:19 PM - Andreas Miiller
- Related to task #10067: Update to hibernate 5.4 (or higher) and hibernate search 5.11 and lucene 5.5 added

#8 - 06/22/2022 07:36 PM - Andreas Miiller
- Status changed from In Progress to Resolved

- % Done changed from 10 to 70

Probably solved but still needs code cleanup.

#9 - 07/05/2022 06:08 PM - Andreas Miiller

See also #3722#note-14 ff for comments relevant here.

#10 - 07/27/2022 09:15 AM - Andreas Muller

- Description updated

#11 - 07/27/2022 09:15 AM - Andreas Muller

- Description updated

#12 - 07/27/2022 10:09 AM - Andreas Miiller
- Status changed from Resolved to Feedback

- % Done changed from 70 to 20

Issue is not yet solved. There are still issues when merging/loading PolytomousKeyNodes, see #3722#note-14 and following (ticket is closed but
issues reported there belong to this ticket here).

#13 - 07/28/2022 09:27 AM - Andreas Miiller
- Related to bug #10101: Correct mapping and handling of sorted tree structures added

#14 - 07/29/2022 12:53 PM - Andreas Miiller
- Related to task #10055: Updates, upgrades and cleanup 2023 added

#15 - 07/29/2022 12:54 PM - Andreas Miiller
- Status changed from Feedback to Discussed

- Target version changed from Release 5.32 to Reviewed Next Major Release

The PolytoumsKey loading issue seems to be solved in TaxEditor by fixes done for #10101. However, the tests created for TermNodeService and
TaxonNodeService do not yet fully run and the solution implemented for #10101 is also only a workaround. Therefore we should further check if
https://hibernate.atlassian.net/browse/HHH-9979 is fixed. | set this ticket to "Reviewed next major release" and add a link to the next upgrade ticket
#10055 so we reevaluate in the next upgrade phase.

#16 - 07/29/2022 02:06 PM - Andreas Miiller

| removed the HHH_9751_Util class as it is currently not used anymore, please recreate from cb923587ce746 and taxeditor commit 09abc6569 if it is
used in future again.
